Delete Platform

Delete Platform
Delete and teardown a platform deployment

Triggers the asynchronous undeployment and teardown of the specified platform cluster.

Behavior and Side Effects:

  • Executing this endpoint will immediately begin destroying the underlying Kubernetes cluster, VMs, and associated resources.
  • The workflow is asynchronous. The status endpoint will reflect the teardown progress.
  • Upon successful completion of the undeployment workflow, the platform record is deleted and subsequent calls to the status endpoint will return a 404 Not Found.

Actions:

  • Passing action=force_delete will bypass graceful teardown steps and forcibly delete the Platform deployment and database records, ignoring standard cleanup failures.
Request
URI
DELETE
https://{api_host}/https://{api_host}:{port}/lh-appliance/platforms/{platform-id}
COPY
Path Parameters
string
platform-id
Required

A globally unique UUID representing the platform to delete.

platform-id example
434348d8-681e-4809-8dc1-427127d2bee7
Query Parameters
array
action
Optional

Specify an action override (e.g., force_delete to bypass graceful termination errors).

action example
force_delete
Enumeration: force_delete

Authentication
This operation uses the following authentication methods.
Responses
202

The platform action request has been accepted. Use the returned platform ID and status URL to query for more detailed information.

Returns AsyncApiResponse of type(s) application/json
{
    "id": "b8f47985-22ed-3193-bca8-11c7b025cbce",
    "status_url": "/segmentation/default-ids-profiles/b8f47985-22ed-3193-bca8-11c7b025cbce/status"
}
string
id
Optional

UUID identifier of the response.

string
status_url
Optional

The URL to check the status of the operation.


400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


default

An error occurred while checking the Platform Installer service.

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


Code Samples
COPY
                    curl -X DELETE -H 'Authorization: <value>' https://{api_host}/https://{api_host}:{port}/lh-appliance/platforms/{platform-id}